### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType
  commentId: T:adas_core.Domain.Enums.PumpEnum.AlarmType
  id: PumpEnum.AlarmType
  parent: adas_core.Domain.Enums
  children:
  - adas_core.Domain.Enums.PumpEnum.AlarmType.AcPowerFail
  - adas_core.Domain.Enums.PumpEnum.AlarmType.AirInLine
  - adas_core.Domain.Enums.PumpEnum.AlarmType.AlarmCondition
  - adas_core.Domain.Enums.PumpEnum.AlarmType.Attention
  - adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryEmpty
  - adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryLow
  - adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringeClamp
  - adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringePlunger
  - adas_core.Domain.Enums.PumpEnum.AlarmType.CommunicationFailure
  - adas_core.Domain.Enums.PumpEnum.AlarmType.DoorOpen
  - adas_core.Domain.Enums.PumpEnum.AlarmType.DownstreamOcclusion
  - adas_core.Domain.Enums.PumpEnum.AlarmType.DriveHeadPositionErr
  - adas_core.Domain.Enums.PumpEnum.AlarmType.DropSensorDisconnect
  - adas_core.Domain.Enums.PumpEnum.AlarmType.DrugMismatch
  - adas_core.Domain.Enums.PumpEnum.AlarmType.HandOverFailed
  - adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionNearCompletion
  - adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionSetNotCorrectlyFitted
  - adas_core.Domain.Enums.PumpEnum.AlarmType.KvoAtSeEnd
  - adas_core.Domain.Enums.PumpEnum.AlarmType.KvoEnd
  - adas_core.Domain.Enums.PumpEnum.AlarmType.NearEndOfInfusion
  - adas_core.Domain.Enums.PumpEnum.AlarmType.NoBattery
  - adas_core.Domain.Enums.PumpEnum.AlarmType.NoFlow
  - adas_core.Domain.Enums.PumpEnum.AlarmType.NoPowerSource
  - adas_core.Domain.Enums.PumpEnum.AlarmType.Occlusion
  - adas_core.Domain.Enums.PumpEnum.AlarmType.PowerFailure
  - adas_core.Domain.Enums.PumpEnum.AlarmType.PressureFall
  - adas_core.Domain.Enums.PumpEnum.AlarmType.PressureRise
  - adas_core.Domain.Enums.PumpEnum.AlarmType.PressureSensorError
  - adas_core.Domain.Enums.PumpEnum.AlarmType.ProgramError
  - adas_core.Domain.Enums.PumpEnum.AlarmType.PumpMalfunction
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SelfTestFailed
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SensorError
  - adas_core.Domain.Enums.PumpEnum.AlarmType.StandbyEnd
  - adas_core.Domain.Enums.PumpEnum.AlarmType.StepCompleted
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeEmpty
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeInstallError
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeNearEmpty
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeSizeMismatch
  - adas_core.Domain.Enums.PumpEnum.AlarmType.SystemError
  - adas_core.Domain.Enums.PumpEnum.AlarmType.TemperatureTooHigh
  - adas_core.Domain.Enums.PumpEnum.AlarmType.TitrationNotConfirmed
  - adas_core.Domain.Enums.PumpEnum.AlarmType.TooFewDrops
  - adas_core.Domain.Enums.PumpEnum.AlarmType.TooManyDrops
  - adas_core.Domain.Enums.PumpEnum.AlarmType.UpstreamOcclusion
  - adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiComplete
  - adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiDone
  langs:
  - csharp
  - vb
  name: PumpEnum.AlarmType
  nameWithType: PumpEnum.AlarmType
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType
  type: Enum
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmType
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: public enum PumpEnum.AlarmType
    content.vb: Public Enum PumpEnum.AlarmType
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.AlarmCondition
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.AlarmCondition
  id: AlarmCondition
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: AlarmCondition
  nameWithType: PumpEnum.AlarmType.AlarmCondition
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.AlarmCondition
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AlarmCondition
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 26
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: AlarmCondition = 0
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.Occlusion
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.Occlusion
  id: Occlusion
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: Occlusion
  nameWithType: PumpEnum.AlarmType.Occlusion
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.Occlusion
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Occlusion
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 29
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Occlusion = 1
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.DoorOpen
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.DoorOpen
  id: DoorOpen
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: DoorOpen
  nameWithType: PumpEnum.AlarmType.DoorOpen
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.DoorOpen
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DoorOpen
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 30
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: DoorOpen = 2
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionNearCompletion
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionNearCompletion
  id: InfusionNearCompletion
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: InfusionNearCompletion
  nameWithType: PumpEnum.AlarmType.InfusionNearCompletion
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionNearCompletion
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: InfusionNearCompletion
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 31
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: InfusionNearCompletion = 3
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiComplete
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiComplete
  id: VtbiComplete
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: VtbiComplete
  nameWithType: PumpEnum.AlarmType.VtbiComplete
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiComplete
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: VtbiComplete
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 32
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: VtbiComplete = 4
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.NoPowerSource
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.NoPowerSource
  id: NoPowerSource
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: NoPowerSource
  nameWithType: PumpEnum.AlarmType.NoPowerSource
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.NoPowerSource
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: NoPowerSource
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 33
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: NoPowerSource = 5
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeSizeMismatch
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeSizeMismatch
  id: SyringeSizeMismatch
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SyringeSizeMismatch
  nameWithType: PumpEnum.AlarmType.SyringeSizeMismatch
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeSizeMismatch
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SyringeSizeMismatch
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 34
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SyringeSizeMismatch = 6
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryEmpty
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryEmpty
  id: BatteryEmpty
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: BatteryEmpty
  nameWithType: PumpEnum.AlarmType.BatteryEmpty
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryEmpty
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BatteryEmpty
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 38
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: BatteryEmpty = 7
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.PowerFailure
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.PowerFailure
  id: PowerFailure
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: PowerFailure
  nameWithType: PumpEnum.AlarmType.PowerFailure
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.PowerFailure
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PowerFailure
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 39
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PowerFailure = 8
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.CommunicationFailure
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.CommunicationFailure
  id: CommunicationFailure
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: CommunicationFailure
  nameWithType: PumpEnum.AlarmType.CommunicationFailure
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.CommunicationFailure
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: CommunicationFailure
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 40
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: CommunicationFailure = 9
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.PumpMalfunction
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.PumpMalfunction
  id: PumpMalfunction
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: PumpMalfunction
  nameWithType: PumpEnum.AlarmType.PumpMalfunction
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.PumpMalfunction
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PumpMalfunction
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 41
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PumpMalfunction = 10
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.ProgramError
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.ProgramError
  id: ProgramError
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: ProgramError
  nameWithType: PumpEnum.AlarmType.ProgramError
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.ProgramError
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: ProgramError
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 42
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: ProgramError = 11
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SensorError
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SensorError
  id: SensorError
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SensorError
  nameWithType: PumpEnum.AlarmType.SensorError
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SensorError
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SensorError
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 43
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SensorError = 12
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureSensorError
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.PressureSensorError
  id: PressureSensorError
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: PressureSensorError
  nameWithType: PumpEnum.AlarmType.PressureSensorError
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureSensorError
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PressureSensorError
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 44
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PressureSensorError = 13
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.TemperatureTooHigh
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.TemperatureTooHigh
  id: TemperatureTooHigh
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: TemperatureTooHigh
  nameWithType: PumpEnum.AlarmType.TemperatureTooHigh
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.TemperatureTooHigh
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TemperatureTooHigh
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 45
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: TemperatureTooHigh = 14
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SelfTestFailed
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SelfTestFailed
  id: SelfTestFailed
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SelfTestFailed
  nameWithType: PumpEnum.AlarmType.SelfTestFailed
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SelfTestFailed
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SelfTestFailed
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 46
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SelfTestFailed = 15
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SystemError
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SystemError
  id: SystemError
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SystemError
  nameWithType: PumpEnum.AlarmType.SystemError
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SystemError
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SystemError
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 49
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SystemError = 16
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringePlunger
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringePlunger
  id: CheckSyringePlunger
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: CheckSyringePlunger
  nameWithType: PumpEnum.AlarmType.CheckSyringePlunger
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringePlunger
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: CheckSyringePlunger
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 50
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: CheckSyringePlunger = 17
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringeClamp
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringeClamp
  id: CheckSyringeClamp
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: CheckSyringeClamp
  nameWithType: PumpEnum.AlarmType.CheckSyringeClamp
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.CheckSyringeClamp
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: CheckSyringeClamp
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 51
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: CheckSyringeClamp = 18
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeInstallError
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeInstallError
  id: SyringeInstallError
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SyringeInstallError
  nameWithType: PumpEnum.AlarmType.SyringeInstallError
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeInstallError
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SyringeInstallError
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 52
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SyringeInstallError = 19
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.DownstreamOcclusion
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.DownstreamOcclusion
  id: DownstreamOcclusion
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: DownstreamOcclusion
  nameWithType: PumpEnum.AlarmType.DownstreamOcclusion
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.DownstreamOcclusion
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DownstreamOcclusion
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 53
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: DownstreamOcclusion = 20
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.DriveHeadPositionErr
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.DriveHeadPositionErr
  id: DriveHeadPositionErr
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: DriveHeadPositionErr
  nameWithType: PumpEnum.AlarmType.DriveHeadPositionErr
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.DriveHeadPositionErr
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DriveHeadPositionErr
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 54
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: DriveHeadPositionErr = 21
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.HandOverFailed
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.HandOverFailed
  id: HandOverFailed
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: HandOverFailed
  nameWithType: PumpEnum.AlarmType.HandOverFailed
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.HandOverFailed
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: HandOverFailed
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 55
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: HandOverFailed = 22
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.KvoEnd
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.KvoEnd
  id: KvoEnd
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: KvoEnd
  nameWithType: PumpEnum.AlarmType.KvoEnd
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.KvoEnd
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: KvoEnd
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 56
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: KvoEnd = 23
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeEmpty
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeEmpty
  id: SyringeEmpty
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SyringeEmpty
  nameWithType: PumpEnum.AlarmType.SyringeEmpty
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeEmpty
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SyringeEmpty
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 57
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SyringeEmpty = 24
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiDone
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiDone
  id: VtbiDone
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: VtbiDone
  nameWithType: PumpEnum.AlarmType.VtbiDone
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.VtbiDone
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: VtbiDone
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 58
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: VtbiDone = 25
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureFall
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.PressureFall
  id: PressureFall
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: PressureFall
  nameWithType: PumpEnum.AlarmType.PressureFall
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureFall
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PressureFall
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 59
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PressureFall = 26
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureRise
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.PressureRise
  id: PressureRise
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: PressureRise
  nameWithType: PumpEnum.AlarmType.PressureRise
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.PressureRise
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PressureRise
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 60
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: PressureRise = 27
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.StandbyEnd
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.StandbyEnd
  id: StandbyEnd
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: StandbyEnd
  nameWithType: PumpEnum.AlarmType.StandbyEnd
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.StandbyEnd
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: StandbyEnd
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 61
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: StandbyEnd = 28
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.AcPowerFail
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.AcPowerFail
  id: AcPowerFail
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: AcPowerFail
  nameWithType: PumpEnum.AlarmType.AcPowerFail
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.AcPowerFail
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AcPowerFail
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 62
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: AcPowerFail = 29
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.Attention
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.Attention
  id: Attention
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: Attention
  nameWithType: PumpEnum.AlarmType.Attention
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.Attention
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Attention
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 63
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: Attention = 30
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.DrugMismatch
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.DrugMismatch
  id: DrugMismatch
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: DrugMismatch
  nameWithType: PumpEnum.AlarmType.DrugMismatch
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.DrugMismatch
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DrugMismatch
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 64
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: DrugMismatch = 31
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.StepCompleted
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.StepCompleted
  id: StepCompleted
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: StepCompleted
  nameWithType: PumpEnum.AlarmType.StepCompleted
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.StepCompleted
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: StepCompleted
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 65
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: StepCompleted = 32
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.NearEndOfInfusion
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.NearEndOfInfusion
  id: NearEndOfInfusion
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: NearEndOfInfusion
  nameWithType: PumpEnum.AlarmType.NearEndOfInfusion
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.NearEndOfInfusion
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: NearEndOfInfusion
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 66
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: NearEndOfInfusion = 33
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeNearEmpty
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeNearEmpty
  id: SyringeNearEmpty
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: SyringeNearEmpty
  nameWithType: PumpEnum.AlarmType.SyringeNearEmpty
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.SyringeNearEmpty
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SyringeNearEmpty
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 67
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: SyringeNearEmpty = 34
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.AirInLine
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.AirInLine
  id: AirInLine
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: AirInLine
  nameWithType: PumpEnum.AlarmType.AirInLine
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.AirInLine
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AirInLine
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 68
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: AirInLine = 35
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryLow
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryLow
  id: BatteryLow
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: BatteryLow
  nameWithType: PumpEnum.AlarmType.BatteryLow
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.BatteryLow
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BatteryLow
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 69
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: BatteryLow = 36
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.NoBattery
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.NoBattery
  id: NoBattery
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: NoBattery
  nameWithType: PumpEnum.AlarmType.NoBattery
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.NoBattery
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: NoBattery
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 70
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: NoBattery = 37
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.TitrationNotConfirmed
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.TitrationNotConfirmed
  id: TitrationNotConfirmed
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: TitrationNotConfirmed
  nameWithType: PumpEnum.AlarmType.TitrationNotConfirmed
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.TitrationNotConfirmed
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TitrationNotConfirmed
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 71
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: TitrationNotConfirmed = 38
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.DropSensorDisconnect
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.DropSensorDisconnect
  id: DropSensorDisconnect
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: DropSensorDisconnect
  nameWithType: PumpEnum.AlarmType.DropSensorDisconnect
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.DropSensorDisconnect
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: DropSensorDisconnect
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 72
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: DropSensorDisconnect = 39
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.NoFlow
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.NoFlow
  id: NoFlow
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: NoFlow
  nameWithType: PumpEnum.AlarmType.NoFlow
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.NoFlow
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: NoFlow
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 73
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: NoFlow = 40
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.TooFewDrops
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.TooFewDrops
  id: TooFewDrops
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: TooFewDrops
  nameWithType: PumpEnum.AlarmType.TooFewDrops
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.TooFewDrops
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TooFewDrops
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 74
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: TooFewDrops = 41
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.TooManyDrops
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.TooManyDrops
  id: TooManyDrops
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: TooManyDrops
  nameWithType: PumpEnum.AlarmType.TooManyDrops
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.TooManyDrops
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TooManyDrops
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 75
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: TooManyDrops = 42
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.UpstreamOcclusion
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.UpstreamOcclusion
  id: UpstreamOcclusion
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: UpstreamOcclusion
  nameWithType: PumpEnum.AlarmType.UpstreamOcclusion
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.UpstreamOcclusion
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: UpstreamOcclusion
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 76
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: UpstreamOcclusion = 43
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.KvoAtSeEnd
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.KvoAtSeEnd
  id: KvoAtSeEnd
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: KvoAtSeEnd
  nameWithType: PumpEnum.AlarmType.KvoAtSeEnd
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.KvoAtSeEnd
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: KvoAtSeEnd
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 77
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: KvoAtSeEnd = 44
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionSetNotCorrectlyFitted
  commentId: F:adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionSetNotCorrectlyFitted
  id: InfusionSetNotCorrectlyFitted
  parent: adas_core.Domain.Enums.PumpEnum.AlarmType
  langs:
  - csharp
  - vb
  name: InfusionSetNotCorrectlyFitted
  nameWithType: PumpEnum.AlarmType.InfusionSetNotCorrectlyFitted
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType.InfusionSetNotCorrectlyFitted
  type: Field
  source:
    remote:
      path: adas-core.Domain/Enums/PumpEnum.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: InfusionSetNotCorrectlyFitted
    path: ../../adas-core.Domain/Enums/PumpEnum.cs
    startLine: 78
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Enums
  syntax:
    content: InfusionSetNotCorrectlyFitted = 45
    return:
      type: adas_core.Domain.Enums.PumpEnum.AlarmType
references:
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Enums.PumpEnum.AlarmType
  commentId: T:adas_core.Domain.Enums.PumpEnum.AlarmType
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.PumpEnum.html
  name: PumpEnum.AlarmType
  nameWithType: PumpEnum.AlarmType
  fullName: adas_core.Domain.Enums.PumpEnum.AlarmType
  spec.csharp:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.AlarmType
    name: AlarmType
    href: adas_core.Domain.Enums.PumpEnum.AlarmType.html
  spec.vb:
  - uid: adas_core.Domain.Enums.PumpEnum
    name: PumpEnum
    href: adas_core.Domain.Enums.PumpEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.PumpEnum.AlarmType
    name: AlarmType
    href: adas_core.Domain.Enums.PumpEnum.AlarmType.html
